﻿
namespace TestPdfHeader
{
    using System.Drawing;
    using System.IO;
    using System.Runtime.CompilerServices;
    using Spire.Xls;
    using Spire.Xls.Core;
    using System.Diagnostics;
    using System.Drawing.Imaging;

    class Program
    {
        static void Main(string[] args)
        {
            string path = Directory.GetCurrentDirectory() + @"\res";
            CreatePdf(path);
        }

        private static Workbook CreateXlsx(string path)
        {
            var xlsxPath = string.Format("{0}.xlsx", path);
            var workbook = new Workbook { Version = ExcelVersion.Version2010 };

            var page1 = workbook.Worksheets.Add("Page 1");
            page1[3, 1].Text = "Page 1 text";

            var page2 = workbook.Worksheets.Add("Page 2");
            page2[3, 1].Text = "Page 2 text";

            Image topImage1 = Resource1.googlelogo;
            Image topImage2 = Resource1.logo10;

            page1.PageSetup.CenterHeaderImage = topImage1;
            page1.PageSetup.CenterHeader = "&G";

            page2.PageSetup.CenterHeaderImage = topImage2;
            page2.PageSetup.CenterHeader = "&G";

            workbook.SaveToFile(xlsxPath);
            return workbook;
        }

        private static void CreatePdf(string path) {
            Workbook book = CreateXlsx(path);
            var pdfPath = string.Format("{0}.pdf", path);
            book.SaveToFile(pdfPath, FileFormat.PDF);
            Process.Start(pdfPath);
        }
    }
}
